import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { StringFieldUpdateOperationsInputObjectSchema as StringFieldUpdateOperationsInputObjectSchema } from './StringFieldUpdateOperationsInput.schema'

const makeSchema = () => z.object({
  siteKey: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  username: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  password: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional()
}).strict();
export const InsuranceCredentialUpdateWithoutUserInputObjectSchema: z.ZodType<Prisma.InsuranceCredentialUpdateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceCredentialUpdateWithoutUserInput>;
export const InsuranceCredentialUpdateWithoutUserInputObjectZodSchema = makeSchema();
